Issue #16179 has been updated by Reshma (Reshma Kumar).


64bit
-----
./configure \
    --host=powerpc-ibm-aix6.1.0.0 --target=powerpc-ibm-aix6.1.0.0 --build=powerpc-ibm-aix6.1.0.0 \
    --prefix=/opt/freeware \
    --libdir=/opt/freeware/lib64 \
    --libexecdir=/opt/freeware/lib64 \
    --disable-rpath \
    --enable-pthread \
    --enable-shared \
    --disable-static

32bit
-----
./configure \
    --host=powerpc-ibm-aix6.1.0.0 --target=powerpc-ibm-aix6.1.0.0 --build=powerpc-ibm-aix6.1.0.0 \
    --prefix=/opt/freeware \
    --libdir=/opt/freeware/lib \
    --libexecdir=/opt/freeware/lib \
    --disable-rpath \
    --enable-pthread \
    --enable-shared \
    --disable-static



----------------------------------------
Bug #16179: ruby binaries generate "already initialized constant" warnings on AIX 6.1
https://bugs.ruby-lang.org/issues/16179#change-82040

* Author: Reshma (Reshma Kumar)
* Status: Feedback
* Priority: Normal
* Assignee: 
* Target version: 
* ruby -v: 2.6.3
* Backport: 2.5: UNKNOWN, 2.6: UNKNOWN
----------------------------------------
We are building ruby 2.6.3(both 32 and 64bit) on AIX 6.1.
The build options used for 64bit build are:-

```
export LDFLAGS="-L/opt/freeware/lib64 -L/opt/freeware/lib -Wl,-blibpath:/opt/freeware/lib64:/usr/lib:/lib"
```

and for 32bit build are:-

```
export LDFLAGS="-L/opt/freeware/lib -Wl,-blibpath:/opt/freeware/lib:/usr/lib:/lib -Wl,-bmaxdata:0x80000000"
```

After successful build and installation of the package, 64bit and 32bit libraries are installed in /opt/freeware/lib64 and /opt/freeware/lib respectively. There are ruby scripts which are shipped in both /opt/freeware/lib and /opt/freeware/lib64.

Execution of irb(both 64bit and 32bit) generates warnings as mentioned below.

```
# irb
/opt/freeware/lib/ruby/2.6.0/uri/common.rb:17: warning: already initialized constant URI::REGEXP
/opt/freeware/lib64/ruby/2.6.0/uri/common.rb:17: warning: previous definition of REGEXP was here
/opt/freeware/lib/ruby/2.6.0/uri/common.rb:18: warning: already initialized constant URI::Parser
/opt/freeware/lib64/ruby/2.6.0/uri/common.rb:18: warning: previous definition of Parser was here
```

Any ideas why this could be happening?

---Files--------------------------------
ruby_output.log.docx (13.2 KB)


-- 
https://bugs.ruby-lang.org/

Unsubscribe: <mailto:ruby-core-request / ruby-lang.org?subject=unsubscribe>
<http://lists.ruby-lang.org/cgi-bin/mailman/options/ruby-core>